Package com.pixelmed.display

# Class MammoDemographicAndTechniqueAnnotations

java.lang.Object
com.pixelmed.display.DemographicAndTechniqueAnnotations
com.pixelmed.display.MammoDemographicAndTechniqueAnnotations

public class MammoDemographicAndTechniqueAnnotations extends DemographicAndTechniqueAnnotations

A class to extract selected DICOM annotative attributes into defined displayed area relative positions for mammograms.

## Nested Class Summary

## Nested classes/interfaces inherited from class com.pixelmed.display.DemographicAndTechniqueAnnotations

`DemographicAndTechniqueAnnotations.AnnotationLayoutConfigurationEntry`

## Field Summary

### Fields inherited from class com.pixelmed.display.DemographicAndTechniqueAnnotations

`ABBREVPHOTO, CALLFUNCTION, CODEMEANING, DIRECTIONVECTOR, EXPOSURE, EXPOSURETIME, FRAMENUMBER, IMAGETYPE, JUSTTIME, layout, LOSSYCOMPRESSED, multipleCodeMeaningDelimiter, NOSPECIAL, ORIENTLABEL, PIXELREPN, SLICESPACING, TEXTIFYESNO, XRAYTUBECURRENT`

## Constructor Summary

Constructors
Constructor
Description
`MammoDemographicAndTechniqueAnnotations(AttributeList list, boolean leftSide)`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getAbbreviationFromImageLateralityViewModifierAndViewModifierCodeSequenceAttributes(AttributeList list)`
Return an abbreviation for laterality, view and view modifier.
`protected static String`
`getViewAbbreviationFromViewCodeSequenceAttributes(AttributeList list)`
Return an abbreviation for a mammography view.
`protected static String`
`getViewModifierAbbreviationFromViewModifierCodeSequenceAttributes(AttributeList list)`
Return an abbreviation for a mammography view modifer.
`protected void`
`initializeDefaultLayout()`

### Methods inherited from class com.pixelmed.display.DemographicAndTechniqueAnnotations

`getValueByCallingFunction, iterator, main`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MammoDemographicAndTechniqueAnnotations

public MammoDemographicAndTechniqueAnnotations(AttributeList list, boolean leftSide)

Parameters:
  `list` - the DICOM attributes of a single or multi-frame image
  `leftSide` - whether the side to annotate (the side opposite the chest wall) is left (true) or right (false)

## Method Details

### initializeDefaultLayout

protected void initializeDefaultLayout()

Overrides:
  `initializeDefaultLayout` in class `DemographicAndTechniqueAnnotations`

### getViewAbbreviationFromViewCodeSequenceAttributes

protected static String getViewAbbreviationFromViewCodeSequenceAttributes(AttributeList list)

Return an abbreviation for a mammography view.

Parameters:
  `list` - the attributes of an item of ViewCodeSequence
Returns:
  a string value with an ACR/DICOM/IHE specified abbreviation

### getViewModifierAbbreviationFromViewModifierCodeSequenceAttributes

protected static String getViewModifierAbbreviationFromViewModifierCodeSequenceAttributes(AttributeList list)

Return an abbreviation for a mammography view modifer.

Parameters:
  `list` - the attributes of an item of ViewModifierCodeSequence
Returns:
  a string value with an ACR/DICOM/IHE specified abbreviation, including a leading "..." or trailing "..." to indicate prefix or suffix, or neither if a replacement

### getAbbreviationFromImageLateralityViewModifierAndViewModifierCodeSequenceAttributes

public static String getAbbreviationFromImageLateralityViewModifierAndViewModifierCodeSequenceAttributes(AttributeList list)

Return an abbreviation for laterality, view and view modifier.

Parameters:
  `list` -
Returns:
  a string value with an ACR/DICOM/IHE specified abbreviation